natty regression: screen goes black when external monitor is connected

Bug #749817 reported by Martin Pool on 2011-04-04
318
This bug affects 61 people
Affects Status Importance Assigned to Milestone
xserver-xorg-video-intel (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: xorg

I have a Thinkpad X201 connected through it's docking station/ultrabase to a Dell 2709W monitor. This was working fine under Maverick; normally with the internal monitor off but also with them mirrored or side-by-side.

I just upgraded this machine to natty. It booted up and showed grub on the external monitor ok, the loading screen, and then the gdm login screen. After I log in, I get a black screen on both the internal and external monitors, with just a white mouse pointer visible. The mouse pointer moves when I move the mouse. Nothing else appears; there's no disk light. I switched to vt1, which worked. Nothing was using substantial cpu. I kill-9ed gnome-session, which took me back to the gdm login screen. I tried the other session options including Ubuntu classic (no effects) with no more success.

When I undocked the laptop it worked ok, including running Unity.

(I hit bug 749809 while filing this so the apport data might be incomplete.)

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: xorg 1:7.6+4ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-7.39-generic 2.6.38
Uname: Linux 2.6.38-7-generic x86_64
Architecture: amd64
Date: Mon Apr 4 10:13:46 2011
DistroCodename: natty
DistroVariant: ubuntu
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
ProcEnviron:
 LANGUAGE=en_AU:en
 PATH=(custom, user)
 LANG=en_AU.UTF-8
 SHELL=/bin/zsh
SourcePackage: xorg
UpgradeStatus: Upgraded to natty on 2011-04-03 (0 days ago)
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.1-0ubuntu3
version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu1
---
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell]
CompositorRunning: compiz
DRM.card0.DP.1:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.HDMI.A.1:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.LVDS.1:
 status: connected
 enabled: enabled
 dpms: On
 modes: 1280x800 1280x800
 edid-base64: AP///////wAwrhFAAAAAAAATAQOAGhB46lzVk1xejiccUFQAAAABAQEBAQEBAQEBAQEBAQEB7hoAgFAgEDAQMBMABaMQAAAZ0BcAxlAgGTAwIDYABaMQAAAZAAAADwCBCjyBCjIWCQBMo0FUAAAA/gBMVE4xMjFBVDA3TDAyADg=
DRM.card0.VGA.1:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DistUpgraded: Log time: 2011-04-04 09:22:34.214628
DistroCodename: natty
DistroRelease: Ubuntu 11.04
DistroVariant: ubuntu
EcryptfsInUse: Yes
GraphicsCard:
 Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 02) (prog-if 00 [VGA controller])
   Subsystem: Lenovo Device [17aa:215a]
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
MachineType: LENOVO 3249CTO
Package: xorg 1:7.6+4ubuntu1
PackageArchitecture: amd64
ProcEnviron:
 LANGUAGE=en_AU:en
 PATH=(custom, user)
 LANG=en_AU.UTF-8
 SHELL=/bin/zsh
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-7-generic root=UUID=8aff985d-377a-420d-a38e-62ce8bd54504 ro drm.debug=0x04 quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 2.6.38-7.39-generic 2.6.38
Renderer: Unknown
Tags: natty running-unity ubuntu compiz-0.9
Uname: Linux 2.6.38-7-generic x86_64
UpgradeStatus: Upgraded to natty on 2011-04-03 (1 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 12/17/2010
dmi.bios.vendor: LENOVO
dmi.bios.version: 6QET62WW (1.32 )
dmi.board.name: 3249CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr6QET62WW(1.32):bd12/17/2010:svnLENOVO:pn3249CTO:pvrThinkPadX201:rvnLENOVO:rn3249CTO:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 3249CTO
dmi.product.version: ThinkPad X201
dmi.sys.vendor: LENOVO
version.compiz: compiz 1:0.9.4git20110322-0ubuntu5
version.ia32-libs: ia32-libs 20090808ubuntu11
version.libdrm2: libdrm2 2.4.23-1ubuntu6
version.libgl1-mesa-dri: libgl1-mesa-dri 7.10.1-0ubuntu3
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.1-0ubuntu3
version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu6
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu6

Martin Pool (mbp) wrote :
Martin Pool (mbp) wrote :

With the external monitor turned off, the laptop works ok in the base station. I should also mention the monitor's connected to the base's displayport port.

Martin Pool (mbp) wrote :

Ok, and, very interesting, if I unplug the displayport cable and connect across vga instead, then everything seems to work well (aside from being a bit blurry.)

summary: natty regression: screen goes black when external monitor is connected
+ via Display>ort
summary: natty regression: screen goes black when external monitor is connected
- via Display>ort
+ via DisplayPort
Martin Pool (mbp) wrote :

Actually, I'm not sure if this is correlated with the choice of display connecter. It worked once over vga, but when I tried it again I just got the black screen with white cursor, on another attempt the screen just showed "auto adjustment in progress", and one more time it just showed flickering red and black.

summary: natty regression: screen goes black when external monitor is connected
- via DisplayPort

I have an Thinkpad x201i and I can confirm the exact same behaviour - always a black screen in the dock and while connecting the monitor directly with the laptop.

Unkraut (unkraut2) wrote :

I can confirm this behaviour on a Thinkpad x201s. This is VERY annoing. Btw. under certain circumstances I can get the second monitor to work, but yet this is unreprocuable.

Martin Pool (mbp) wrote :

<RAOF> So something's setting strangeness.
 I don't suppose a guest mode login works?
 Also, could you set the drm.debug=0x04 kernel parameter (either from the command line, or via /sys/modules/drm/parameters/debug) and reproduce, then attach dmesg and Xorg.0.log to the bug?

Attached is me booting up first with the external monitor attached over displayport, which fails, then disconnecting it and logging in successfully.

Martin Pool (mbp) wrote :
Martin Pool (mbp) wrote :
Martin Pool (mbp) wrote :

I don't know if it's connected to the drm debug setting, but my mouse now seems really jerky and unresponsive. I have to click several times to make it respond. I did install other updates before rebooting so it may be caused by something else.

Martin Pool (mbp) wrote :

penguin42 suggested running intel_reg_dumper

Martin Pool (mbp) wrote :

I don't have an option in gdm for a guest session. When I logged in to a test account with little history, I get similar behaviour: it did actually come up at first with only the internal monitor working. Through the monitor control panel I could see the external monitor. It thought it was in side-by-side mode, but the external monitor was just black. When I tried turning off the internal screen, I was stuck with them both black. I tried waiting for a while to see if the "do you really want to keep this" kicked in, but it didn't bring the display back.

Again I could switch to vt1 and I got two samples of the intel registers.

Martin Pool (mbp) wrote :
Martin Pool (mbp) wrote :

(both samples were the same: once when running in my test account and then again under my own account.)

Bryce Harrington (bryce) wrote :

@Martin, alright I've fixed bug 749809, try running this to attach the log files and such:

  apport-collect 749817

Changed in xorg (Ubuntu):
status: New → Incomplete
importance: Undecided → High

apport information

tags: added: apport-collected compiz-0.9
description: updated

apport information

apport information

apport information

Martin Pool (mbp) wrote : Lspci.txt

apport information

Martin Pool (mbp) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

Martin Pool (mbp) wrote : UdevDb.txt

apport information

apport information

apport information

apport information

apport information

Martin Pool (mbp) wrote : Xrandr.txt

apport information

Martin Pool (mbp) wrote : locale.txt

apport information

apport information

apport information

apport information

apport information

Martin Pool (mbp) wrote : xinput.txt

apport information

apport information

Bryce Harrington (bryce) on 2011-04-05
affects: xorg (Ubuntu) → xserver-xorg-video-intel (Ubuntu)
Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Confirmed
Martin Pool (mbp) wrote :

bradm apparently saw problems with his external monitor go away when he upgraded to kernel 2.6.38-8.40, so I wanted to confirm that has not fixed this problem for me.

Martin Pool (mbp) wrote :
Download full text (5.4 KiB)

With today's natty updates, if the external monitor is connected, the machine crashes while booting, with this oops recorded:

Apr 10 17:47:45 joy kernel: [ 5.913652] BUG: unable to handle kernel NULL pointer dereference at 0000000000000230
Apr 10 17:47:45 joy kernel: [ 5.913701] IP: [<ffffffffa00fb4db>] intel_dp_link_down+0x32b/0x400 [i915]
Apr 10 17:47:45 joy kernel: [ 5.913752] PGD 23134d067 PUD 23134c067 PMD 0
Apr 10 17:47:45 joy kernel: [ 5.913779] Oops: 0000 [#1] SMP
Apr 10 17:47:45 joy kernel: [ 5.913798] last sysfs file: /sys/devices/virtual/sound/seq/uevent
Apr 10 17:47:45 joy kernel: [ 5.913832] CPU 0
Apr 10 17:47:45 joy kernel: [ 5.913843] Modules linked in: snd_seq snd_timer btusb iwlcore uvcvideo snd_seq_device mac80211 videodev bluetooth v4l2_compat_ioctl32 snd psmouse cfg80211 intel_ips tpm_tis serio_raw soundcore tpm snd_page_alloc nvram tpm_bios lp parport usb_storage usbhid uas hid i915 drm_kms_helper drm ahci e1000e libahci i2c_algo_bit video
Apr 10 17:47:45 joy kernel: [ 5.914037]
Apr 10 17:47:45 joy kernel: [ 5.914048] Pid: 289, comm: plymouthd Not tainted 2.6.38-8-generic #41-Ubuntu LENOVO 3249CTO/3249CTO
Apr 10 17:47:45 joy kernel: [ 5.914087] RIP: 0010:[<ffffffffa00fb4db>] [<ffffffffa00fb4db>] intel_dp_link_down+0x32b/0x400 [i915]
Apr 10 17:47:45 joy kernel: [ 5.914129] RSP: 0018:ffff88022d753748 EFLAGS: 00010286
Apr 10 17:47:45 joy kernel: [ 5.914148] RAX: 0000000000000000 RBX: ffff88022d68f800 RCX: 00000000c0000100
Apr 10 17:47:45 joy kernel: [ 5.914173] RDX: ffff88022eb6a000 RSI: 0000000000000282 RDI: ffff88022e4cb000
Apr 10 17:47:45 joy kernel: [ 5.914199] RBP: ffff88022d753798 R08: ffff88022d752000 R09: 0000000000000000
Apr 10 17:47:45 joy kernel: [ 5.914224] R10: 0000000000000000 R11: 0000000000000000 R12: ffff88022e4cb440
Apr 10 17:47:45 joy kernel: [ 5.914251] R13: 00000000829c0008 R14: ffffc90012064200 R15: 00000000829c0008
Apr 10 17:47:45 joy kernel: [ 5.914275] FS: 00007f6a366db720(0000) GS:ffff8800bb000000(0000) knlGS:0000000000000000
Apr 10 17:47:45 joy kernel: [ 5.914303] CS: 0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Apr 10 17:47:45 joy kernel: [ 5.914322] CR2: 0000000000000230 CR3: 000000022e2e0000 CR4: 00000000000006f0
Apr 10 17:47:45 joy kernel: [ 5.914347] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Apr 10 17:47:45 joy kernel: [ 5.914370] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Apr 10 17:47:45 joy kernel: [ 5.914395] Process plymouthd (pid: 289, threadinfo ffff88022d752000, task ffff88022dd9db80)
Apr 10 17:47:45 joy kernel: [ 5.914422] Stack:
Apr 10 17:47:45 joy kernel: [ 5.914430] ffff88022e4cb3e8 0000000000000000 ffff88022e4cb000 ffff88022eb6a000
Apr 10 17:47:45 joy kernel: [ 5.914458] 0000000000000002 ffff88022d68f800 ffff88022e4cb440 00000000000e4200
Apr 10 17:47:45 joy kernel: [ 5.914485] 00000000f09c000c ffff88022e4cb000 ffff88022d7537e8 ffffffffa00fbbc2
Apr 10 17:47:45 joy kernel: [ 5.914512] Call Trace:
Apr 10 17:47:45 joy kernel: [ 5.914530] [<ffffffffa00fbbc2>] intel_dp_dpms+0x62/0x150 [i915]
Apr 10 17:47:45 joy kernel: [ 5.914554] [<ffffffff...

Read more...

Martin Pool (mbp) wrote :

screenshot of crash

bugbot (bugbot) on 2011-04-10
tags: added: dual-head
tags: added: black-screen
Martin Pool (mbp) wrote :

When I rebooted with today's updates, I did not see the crash mentioned in comment #39 and #40. I get mirrored screens on the text console and at the gdm greeter screen. After logging in to Ubuntu Classic I initially get a black screen, but pressing Fn-F7 does flip between modes. Strangely enough, mirrored mode, laptop-only mode, and side-by-side mode all work, but external-monitor-only causes the external screen to go into power-saving mode and turn off.

Even stranger, if I use the displays panel widget to turn the external monitor on and the internal one off, things do work correctly.

So it seems like for me this is mostly but not entirely fixed; or perhaps it's replaced by some other problem.

Martin Pool (mbp) wrote :

It's a bit more complicated: when I reconnected and tried to use the external monitor, it was back to the original behaviour of showing just black on both panels. With the monitor connected by vga over either the ultrabase or built in vga port, I get the flickering red/black display. Unplugging the monitor puts things back to a working built in display. I have some more kernel log messages:

pr 12 12:15:32 joy kernel: [ 2022.623546] [drm:i915_gem_do_execbuffer] *ERROR* Object ffff88022e695e00 [handle 618, index 1] appears more than once in object list
Apr 12 12:15:33 joy kernel: [ 2023.296025] [drm:intel_dp_complete_link_train] *ERROR* failed to train DP, aborting
Apr 12 12:15:34 joy kernel: [ 2024.153864] [drm:intel_dp_complete_link_train] *ERROR* failed to train DP, aborting
Apr 12 12:15:35 joy kernel: [ 2025.011692] [drm:intel_dp_complete_link_train] *ERROR* failed to train DP, aborting
Apr 12 12:15:36 joy kernel: [ 2025.859615] [drm:intel_dp_complete_link_train] *ERROR* failed to train DP, aborting
Apr 12 12:15:36 joy kernel: [ 2026.697493] [drm:intel_dp_complete_link_train] *ERROR* failed to train DP, aborting
Apr 12 12:15:37 joy kernel: [ 2027.545447] [drm:intel_dp_complete_link_train] *ERROR* failed to train DP, aborting

I confirm this bug, too.
My setup:
Thinkpad X201 in Ultrabase connected to external monitor via hdmi-DVI (using the original Lenovo hdmi to DVI converter).

All worked as expected in Ubuntu 10.10.

An additional remark:
Using only the external monitor doesn't work with the screen setup tool provided by Ubuntu. But I is easily done using the 3rd party application "Multiple Screens". Unfortunately, the setting is gone after reboot.

Bjørn Madsen (bjmadsen) wrote :

Will just confirm this as well. Thinkpad L412 (could this be a thinkpad specific problem?). Screen attached through VGA directly or through dock results in black screen after logging in. GDM and terminals work fine on both screens.

Bryce Harrington (bryce) wrote :

Ah, the blank screen issues are apparently DPMS breakage in the kernel specific to Arrandale graphics chips. Arrandale gfx appears to be used in many recent thinkpad models, but aside from that it seems not to be a thinkpad-specific issue.

I did up an X driver patch to try and work around the kernel issue, please give this a shot:

https://launchpad.net/~bryce/+archive/elderberry

Testing feedback so far on this has shown that it makes things better for some people, not so much for others. But I haven't gotten enough feedback accumulated yet to know if this fix is worth pursuing.

You can also try testing Intel's experimental kernel, which we now provide daily builds for. It's here:

http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-next-proposed/

I've no particular reason to believe it will fix this issue, but it's worth testing esp. if we decide to forward the bug report upstream.

Bryce Harrington (bryce) wrote :

Btw, there are getting to be a lot of differing bugs and issues accumulating here in this report; let's please focus just on the black screen issue with ext. monitor, since that's the title of the report. Other various side issues like kernel BUGs or so on would be easier to manage filed as new bug reports (ubuntu-bug linux).

Martin Pool (mbp) wrote :

2011-04-21 11:24:54 configure xserver-xorg-video-intel 2:2.14.0-4ubuntu8~lp747205~2 <none>
2011-04-21 11:24:54 status unpacked xserver-xorg-video-intel 2:2.14.0-4ubuntu8~lp747205~2
2011-04-21 11:24:54 status half-configured xserver-xorg-video-intel 2:2.14.0-4ubuntu8~lp747205~2
2011-04-21 11:24:54 status installed xserver-xorg-video-intel 2:2.14.0-4ubuntu8~lp747205~2
2011-04-21 11:24:54 status triggers-pending libc-bin 2.13-0ubuntu13
2011-04-21 11:24:54 trigproc libc-bin 2.13-0ubuntu13 <none>
2011-04-21 11:24:54 status half-configured libc-bin 2.13-0ubuntu13
2011-04-21 11:24:55 status installed libc-bin 2.13-0ubuntu13

With just your xorg ppa packages installed, I get one of the variants of misbehaviour previously encountered, specifically:

at the gdm prompt, internal only
after logging in (to classic): blank on both
after pressing fn-f7, internal-only works, joined works, mirrored works, but external-only is black on both

When I had this before it was not stable and sometimes would get stuck with no monitors, or show the flashing display.

I will try the intel kernel next.

Martin Pool (mbp) wrote :

I'm happy to say with that kernel installed this is fixed (at least in my test). I can switch between internal, external, mirror and side-by-side using fn-f7 both at the gdm prompt and in gnome classic. Thanks!

Martin Pool (mbp) wrote :

OK, there are three problems related to external screens, with these packages installed. Let me know if you want them to be filed separately:

1- after connecting the external monitor (even if it's not turned on or active) some windows are painted incorrectly, with bits of the desktop background or other windows showing through.

2- after setting the display to external-only and using it for a few minutes, it flips back to side-by-side mode. this happens repeatedly. I can use Display Settings to go back to the external monitor but it does not stick.

3- after 2 occurs, fn-f7 no longer seems to have any effect.

Martin Pool (mbp) wrote :

actually 2 and 3 might have been due to the 'displays' control panel being moved off screen when I switched monitors, and the fallback timeout going off.

Dear Martin,

regarding problem 1:
Using the notebook display as my left and the monitor as my right screen, I observe this artifacts, that you describe:
- Context menus leave a rectangle painted with background behind (Gnome).
- Auto-hiding panels do not reappear when moving the mouse to the border or shortly appear when moving the mouse pointer away from the border (Gnome)
- Was thrown back to the login manager after loading a flash video in Firefox. (don't know, if these two are related.) (Unity)

These artifacts appear rarely and in an unpredictable manner.

regarding problem 2 and 3:
- I can't confirm this. My external display just stays black. Sometimes, only the mouse pointer appears but nothing else

My setup (as a reminder; posted it already):
Thinkpad X201 in Ultrabase connected to external monitor via hdmi-DVI (using the original Lenovo hdmi to DVI converter).

This kernel seem to have another regression that about one time in
three, when suspending, it will hang with the 'suspend' and capslock
lights flashing.

Bryce Harrington (bryce) wrote :

Alright, well it is an experimental kernel and likely has its own new bugs it brings, but we should stay focused on the original black screen issue. (If you feel motivated, upstream would probably like to hear about those other issues you found though - file at bugs.launchpad.net against Xorg/Intel.)

Anyway, your hardware is Arrandale, and the symptoms and so on gives enough evidence to point to this being a dupe of bug #745112. The next stage is to try and narrow down what patch from that upstream kernel provides the fix. There are some suspicions - see #745112 for the next steps to take.

I have a Samsung qx310 and I have been affected by the exact same behaviour - always a black screen in the dock and while connecting the monitor directly with the laptop.
I installed the kernel suggested in comment #45 but when I rebooted I got the "failed to get i915 symbol error"
Then I swapped back to the old 2.6.35-29-generic kernel to understand if by any chance unity would work on top of it. The answer is: kid of. It works perfectly until you plug in the hdmi connector, then the monitor is recognized but work in mirror mode only. Picking any other monitor configuration (either side by side or external monitor only) leads to refresh problems and/or part of the window(s) that are not properly drawn.
At the end I tried to launch an ubuntu classic session and within it, everything got back to normal.
So I'm assuming that the issue is due to both some kind of regression bug in the 2.6.38 kernel and to how unity uses draws the windows when it comes to external monitors.
I can reproduce it anytime, so if it would be of any interest/use I can post my xorg logs

sirovsky (david-sirovsky) wrote :

I have the exact same issue on my Thinkpad Edge 14 (Natty 32bit),
when working in the Classic session.

Upon plugging in an external monitor [via HDMI], (or when booting with it plugged, after entering the session), the screen goes black, with the external monitor picking no signal.

When unplugging, the laptop has a black screen with a mouse pointer.

Fix from post #45 did not help.

Mustafa SAKALSIZ (mustafa) wrote :

I have the same problem with sirovsky (#55). I have a Sony Vaio with Intel on-board video card.

matthew (mattwindwer) wrote :

Affects me on Thinkpad T410 w/ Intel integrated graphics. External screen connected via display port. Screen set to span both displays. When I start the computer, external display is blank. Then I need to shut down, start up again for external screen to show.

Both screens show different resolutions (external screen is higher resolution than laptop screen). Sometimes, when I go into monitor settings, and change the resolution, and apply the settings, the desktop does not re-render correctly (parts of the screen are missing or corrupted and I need to reboot).

tully (tuly-seznam) wrote :

same on TP T400

Jezza (balingupjer) wrote :

Affects me on Toshiba m700 (w touchscreen) and Benq secondary monitor

results of sudo lshw -C display; cat /etc/lsb-release"

  *-display:0
       description: VGA compatible controller
       product: Mobile GM965/GL960 Integrated Graphics Controller (primary)
       vendor: Intel Corporation
       physical id: 2
       bus info: pci@0000:00:02.0
       version: 03
       width: 64 bits
       clock: 33MHz
       capabilities: msi pm vga_controller bus_master cap_list rom
       configuration: driver=i915 latency=0
       resources: irq:44 memory:ffc00000-ffcfffff memory:e0000000-efffffff ioport:cff8(size=8)
  *-display:1 UNCLAIMED
       description: Display controller
       product: Mobile GM965/GL960 Integrated Graphics Controller (secondary)
       vendor: Intel Corporation
       physical id: 2.1
       bus info: pci@0000:00:02.1
       version: 03
       width: 64 bits
       clock: 33MHz
       capabilities: pm cap_list
       configuration: latency=0
       resources: memory:ca000000-ca0fffff
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=11.04
DISTRIB_CODENAME=natty
DISTRIB_DESCRIPTION="Ubuntu 11.04"

Results of xranr:
Screen 0: minimum 320 x 200, current 2960 x 1050, maximum 8192 x 8192
VGA1 connected 1680x1050+1280+0 (normal left inverted right x axis y axis) 474mm x 296mm
   1680x1050 60.0*+
   1280x1024 75.0 60.0
   1440x900 75.0 59.9
   1280x960 60.0
   1280x800 59.8
   1152x864 75.0
   1152x720 60.0
   1024x768 75.1 60.0
   832x624 74.6
   800x600 75.0 60.3
   640x480 75.0 60.0
   720x400 70.1
LVDS1 connected 1280x800+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1280x800 60.0*+
   1024x768 60.0
   800x600 60.3 56.2
   640x480 59.9
DVI1 disconnected (normal left inverted right x axis y axis)

Can confirm that dual screen is fine in Ubuntu "no effects"

my issues are second screen alignment - is about 30 mm to left of centre of second monitor
also the mouse targets an area about 30mm to left of mouse icon

matthew (mattwindwer) wrote :

I just realized that on my Thinkpad T410 if I keep the external monitor (connected via display port) off and then turn it on after my laptop is on the ubuntu login screen, then log in, the external monitor always works.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions